import { test, expect } from '@playwright/test';
import { LoginPage } from '../../../page-objects/LoginPage';
import { users } from '../../../utils/test-data'; // ✅ импорт test-data

test.describe('UI сценарии авторизации', () => {

  test('Переключатель видимости пароля показывает и скрывает ввод', async ({ page }) => {
    const loginPage = new LoginPage(page);
    await loginPage.goto();

    // ✅ используем пароль из test-data
    await loginPage.passwordInput.fill(users.valid.password);
    await expect(await loginPage.passwordInput.getAttribute('type')).toBe('password');

    await loginPage.passwordVisibilityToggle.click();
    await expect(await loginPage.passwordInput.getAttribute('type')).toBe('text');

    await loginPage.passwordVisibilityToggle.click();
    await expect(await loginPage.passwordInput.getAttribute('type')).toBe('password');
  });

});
